#ifndef __motion_interface_h__
#define __motion_interface_h__

#include "main.h"

void integrate_left_right(uint8_t* left_buff, uint8_t left_len, uint8_t* right_buff, uint8_t right_len);

void get_game_package(uint8_t* buff_address, uint8_t * buff_len);

void process_motion( int16_t _acc[3], int16_t _gry[3],  int16_t _mag[3], uint16_t _press, uint8_t _rssi);

void get_foot_data(uint8_t *buf, uint8_t *buff_len);

#endif

